unit PhoneBookEntryFrame;
// (c)2006 by Paul TOTH <tothpaul@free.fr>
// http://tothpaul.free.fr

{
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
}

interface

uses 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExButtons;

type
  TPhoneBookEntry = class(TFrame)
    Label2: TLabel;
    Label3: TLabel;
    Name: TEdit;
    Number: TEdit;
    Accept: TButton;
    Cancel: TButton;
    procedure AcceptClick(Sender: TObject);
    procedure CancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Add;
    procedure Edit(const AName,ANumber:string);
  end;

implementation

uses main;

{$R *.dfm}

procedure TPhoneBookEntry.AcceptClick(Sender: TObject);
begin
 if Name.Text='' then begin
  ShowMessage('Veuillez indiquer le nom de votre correspondant');
  Name.SetFocus;
  exit;
 end;
 if Number.Text='' then begin
  ShowMessage('Veuillez indiquer le numro de votre correspondant');
  Number.SetFocus;
  exit;
 end;
 MainForm.Ini.WriteString(MainForm.PhoneBook.Book,Name.Text,Number.Text);
 MainForm.Ini.ReadSection(MainForm.PhoneBook.Book,MainForm.PhoneBook.List.Items);
 CancelClick(Sender);
end;

procedure TPhoneBookEntry.CancelClick(Sender: TObject);
begin
 Hide;
 MainForm.PhoneBook.Show;
end;

procedure TPhoneBookEntry.Add;
begin
 Name.Text:='';
 Number.Text:='';
 Show;
end;

procedure TPhoneBookEntry.Edit(const AName,ANumber:string);
begin
 Name.Text:=AName;
 Number.Text:=ANumber;
 Show;
end;

end.

