unit HTTP;

interface

uses
 Windows,UDP, Winsock;

type
 TVersionCheck=class(TCustomUDPClient) // TCP in fact
 private
  fHandle :integer;
  fMsg    :integer;
  fThread :THandle;
  fVersion:string;
  procedure ThreadProc;
 public
  constructor Create(Handle,Msg:integer);
  destructor Destroy; override;
  property Version:string read fVersion;
 end;

implementation

function StartMe(Sender:TVersionCheck):integer; stdcall;
begin
 try
  Sender.ThreadProc;
  Result:=0;
 finally
  Result:=SendMessage(Sender.fHandle,Sender.fMsg,integer(Sender),0);
 end;
end;

constructor TVersionCheck.Create(Handle,Msg:integer);
var
 id:cardinal;
begin
 fHandle:=Handle;
 fMsg   :=Msg;
 fThread:=CreateThread(nil,0,@StartMe,pointer(Self),0,id);
end;

destructor TVersionCheck.Destroy;
begin
 WaitOrKill(fThread,10);
 inherited;
end;

procedure TVersionCheck.ThreadProc;
var
 Addr:TSockAddr;
 Data:string;
 p:pchar;
 l,i:integer;
 s:string;
begin
 FillChar(Addr,SizeOf(Addr),0);
 Addr.sin_family:=AF_INET;
 Addr.sin_port:=htons(80);
 Addr.sin_addr.S_addr:=INetAddr('tothpaul.free.fr');
 if Addr.sin_addr.S_addr=INADDR_NONE then exit;

 fSocket:=socket(AF_INET,SOCK_STREAM,IPPROTO_TCP);
 if fSocket=INVALID_SOCKET then exit;

 if connect(fSocket,Addr,SizeOf(Addr))<>0 then exit;

// Send request
 Data:='GET /SIPInside.php?version HTTP/1.1'#13#10+
       'Host: tothpaul.free.fr'#13#10+
       #13#10;
 p:=@Data[1];
 l:=Length(Data);
 while l>0 do begin
  i:=send(fSocket,p^,l,0);
  if i<=0 then exit;
  inc(p,i);
  dec(l,i);
 end;
// Read reply
 Data:='';
 SetLength(s,1024);
 repeat
  i:=recv(fSocket,s[1],1024,0);
  if i>0 then Data:=Data+copy(s,1,i);
 until i<=0;
// parse reply
 if pos('200',Data)>pos(#13#10,Data) then exit;
 i:=pos('SIPInside',Data);
 if i=0 then exit;
 fVersion:=copy(Data,i,MaxInt);
end;

end.

